module.exports = {
    root: true,
    env: {
        browser: true,
        node: true,
    },
    extends: ["plugin:vue/recommended"],
    rules: {
        // indent: "off",
        "vue/max-len": [
            "error",
            {
                code: 160,
                template: 160,
                comments: 160,
            },
        ],
        "vue/name-property-casing": [0, "PascalCase" | "kebab-case"],
        "vue/require-default-prop": 0,
        "vue/no-mutating-props": 0,
        "vue/html-closing-bracket-newline": [
            0,
            {
                singleline: "never",
                multiline: "always",
            },
        ],
        "vue/no-reserved-component-names": [
            0,
            {
                disallowVueBuiltInComponents: false,
                disallowVue3BuiltInComponents: false,
            },
        ],
        "vue/no-side-effects-in-computed-properties": 0,
        "vue/multi-word-component-names": 0,
        "vue/singleline-html-element-content-newline": "off",
        "vue/attribute-hyphenation": [0, "always" | "never"],
        "vue/max-attributes-per-line": [
            0,
            {
                singleline: {
                    max: 3,
                },
                multiline: {
                    max: 1,
                },
            },
        ],
        "vue/html-self-closing": [
            "error",
            {
                html: {
                    void: "any",
                    normal: "any",
                    component: "any",
                },
                svg: "any",
                math: "any",
            },
        ],
        "vue/script-indent": [
            "error",
            2,
            {
                baseIndent: 0,
                switchCase: 0,
                ignores: [],
            },
        ],
        "vue/html-indent": [
            "error",
            2,
            {
                attribute: 1,
                baseIndent: 1,
                closeBracket: 0,
                alignAttributesVertically: true,
                ignores: [],
            },
        ],
    },
    globals: {
        Vue: true,
        __webpack_public_path__: true,
    },
    parser: "vue-eslint-parser",
    parserOptions: {
        ecmaVersion: "latest",
        ecmaFeatures: {
            jsx: true,
        },
        vueFeatures: {
            filter: true,
            interpolationAsNonHTML: false,
        },
    },
};
